type Tlogging = 'fatal' | 'error' | 'warn' | 'important' | 'success' | 'info' | 'verbose';
declare class ImprovedLogging {
    private logLevel;
    private logFileName?;
    private separateLogsByDate;
    setSeparateLogsByDate(value: boolean): void;
    setLogLevel(newLevel: Tlogging): void;
    setLogPath(path: string): void;
    fatal(...texts: any[]): Error;
    error(...texts: any[]): Error;
    warn(...texts: any[]): void;
    important(...texts: any[]): void;
    info(...texts: any[]): void;
    verbose(...texts: any[]): void;
    success(...texts: any[]): void;
    private aboveSelectedLogLevel;
}
declare const logging: ImprovedLogging;

export { logging as default };
